This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1291059 - Boot times increased after upgrade from F21
Boot times increased after upgrade from F21
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-13 05:07 EST by Giulio 'juliuxpigface'
Modified: 2016-07-19 14:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:36:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from "systemd-analyze", with gdm enabled (3.89 KB, text/plain)
2015-12-13 05:07 EST, Giulio 'juliuxpigface'
no flags Details
Various output from "systemd-analyze", with lightdm enabled (2.25 KB, text/plain)
2015-12-13 05:08 EST, Giulio 'juliuxpigface'
no flags Details

  None (edit)
Description Giulio 'juliuxpigface' 2015-12-13 05:07:50 EST
Created attachment 1105286 [details]
Output from "systemd-analyze", with gdm enabled

Description of problem:
User skiava of it.fedoracommunity.org, reported that the boot time increased after the upgrade via dnf-system-upgrade (from F21, to F22). The time reported by systemd was ~57 seconds. Around the internet, I've read about other people noticing that.

I think that the root cause might be gdm 3.16: replacing it with lightdm resulted in a faster boot (~30 seconds).

Version-Release number of selected component (if applicable):
gdm-3.16.3-1.fc23.x86_64


How reproducible:
Always


Steps to Reproduce:
1. Boot Fedora 22.


Actual results:
1. Boot is slower than with Fedora 21.


Expected results:
1. Boot should be, if possible, faster.


Additional info:
- We've tried the switch from Wayland to XOrg, but this didn't solve the issue for gdm.

- I'm unable to reproduce the issue, since, unlike the original reporter, my system is equipped with an SSD and Fedora 23.
Comment 1 Giulio 'juliuxpigface' 2015-12-13 05:08 EST
Created attachment 1105287 [details]
Various output from "systemd-analyze", with lightdm enabled
Comment 2 Fedora End Of Life 2016-07-19 14:36:05 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.